Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226287 - python-pybv: FTBFS in Fedora rawhide/f39
Summary: python-pybv: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pybv
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:39 UTC by Fedora Release Engineering
Modified: 2023-10-11 01:36 UTC (History)
1 user (show)

Fixed In Version: python-pybv-0.6.0-10.fc40 python-pybv-0.7.5-1.fc39 python-pybv-0.7.5-1.fc37 python-pybv-0.7.5-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-26 09:52:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:39 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:39 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:39:37 UTC
python-pybv failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103690289


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-pybv at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pybv will be orphaned. Before branching of Fedora 40,
python-pybv will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:39:41 UTC
Created attachment 1979245 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 19:39:45 UTC
Created attachment 1979246 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:39:47 UTC
Created attachment 1979247 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:02:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2023-09-05 00:51:37 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Miro Hrončok 2023-09-26 09:52:44 UTC
Automation has figured out the package is retired in Fedora 39.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 7 Fedora Update System 2023-10-02 11:18:54 UTC
FEDORA-2023-5df0a300da has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5df0a300da

Comment 8 Fedora Update System 2023-10-02 11:19:47 UTC
FEDORA-2023-5df0a300da has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-02 12:15:29 UTC
FEDORA-2023-68d71186ce has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-68d71186ce

Comment 10 Fedora Update System 2023-10-02 17:13:42 UTC
FEDORA-2023-0e22b0677b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0e22b0677b

Comment 11 Fedora Update System 2023-10-02 17:45:06 UTC
FEDORA-2023-da5bb3bb9f has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-da5bb3bb9f

Comment 12 Fedora Update System 2023-10-03 02:09:54 UTC
FEDORA-2023-da5bb3bb9f has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-da5bb3bb9f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-da5bb3bb9f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-03 03:31:51 UTC
FEDORA-2023-0e22b0677b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0e22b0677b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0e22b0677b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-03 03:40:14 UTC
FEDORA-2023-68d71186ce has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-68d71186ce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-68d71186ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-10-03 13:59:56 UTC
FEDORA-2023-68d71186ce has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-10-11 01:33:47 UTC
FEDORA-2023-da5bb3bb9f has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-10-11 01:36:03 UTC
FEDORA-2023-0e22b0677b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.